
 LinHES - Bug # 370: Plextor ConvetX USB MP4 recorder not working.

Status: Closed Priority: Normal
Author: goofee Category: Packages: Core
Created: 06/02/2009 Assignee: mihanson
Updated: 03/26/2010 Due date:
Description: I tried installing with it connected and connecting it after install.  Device in not recognized.

<code>$ lsusb | grep Plextor
Bus 001 Device 004: ID 093b:a002 Plextor Corp. ConvertX M402U XLOADER

$ lsmod | grep go7007

$ dmesg
usb 1-8: new high speed USB device using ehci_hcd and address 5
usb 1-8: configuration #1 chosen from 1 choice
</code>

History
06/02/2009 02:28 am - goofee
so here's how I got it to work.  At first I tried just copying the firmware and the udev rules as much of the stuff was already there but I kept getting 
errors. 
<code> go7007: probing for module wis-saa7115 failed</code>
A quick 'make install' seemed to make it all work.  I tried a few different versions of the driver but that's the only one that I could make without errors.

<code>$ sudo pacman -S fxload
echo 'usbfs  /proc/bus/usb  usbfs  devmode=0666  0  0' >> /etc/fstab  #stolen from R5.5 fstab - may not be optimal
$ sudo mount -a
wget http://go7007.imploder.org/wp-content/uploads/2009/02/wis-go7007-linux-098-3tar.bz2
tar xf wis-go7007-linux-098-3tar.bz2 
cd wis-go7007-linux-0.9.8-3/
$ make
$ sudo make install</code>

<code>$ lsusb | grep Plextor
Bus 001 Device 007: ID 093b:a102 Plextor Corp. ConvertX M402U A/V Capture

$ lsmod | grep go7007
go7007_usb             14340  0 
go7007                 55940  1 go7007_usb
snd_pcm                70020  4 go7007,snd_pcm_oss,snd_intel8x0,snd_ac97_codec
snd                    50852  10 
go7007,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer
usbcore               136976  6 go7007_usb,usb_storage,usbhid,uhci_hcd,ehci_hcd
videodev               34176  2 go7007,cx88xx
i2c_core               22804  26 
go7007_usb,go7007,i2c_i801,cx88_vp3054_i2c,mt352,cx88xx,i2c_algo_bit,tveeprom,tuner_xc2028,s5h1409,xc5000,dvb_pll,s5h1411,or51132,cx2411
6,nxt200x,isl6421,stb6000,tda9887,tuner_simple,zl10353,cx24123,lgdt330x,stv0299,stv0288,cx22702

$dmesg
usb 1-8: new high speed USB device using ehci_hcd and address 19
usb 1-8: configuration #1 chosen from 1 choice
go7007-usb: probing new GO7007 USB board
go7007 1-8:1.0: firmware: requesting go7007fw.bin
go7007: registering new Plextor PX-M402U
snd_go7007: exports duplicate symbol go7007_snd_remove (owned by go7007)
wis-saa7115: initializing SAA7115 at address 32 on WIS GO7007SB
go7007: unsupported ioctl -2143521279
go7007 1-8:1.0: firmware: requesting go7007tv.bin
go7007 1-8:1.0: firmware: requesting go7007fw.bin</code>

On a side note...
if you uncomment line 863 from libs/libmythtv/recordingprofile.cpp 
<code>codecName->addSelection("MPEG-2");</code>
it would allow you to record using the Plextor's hardware mpeg2 encoder.
[[http://www.mailinglistarchive.com/mythtv-dev@mythtv.org/msg09891.html]]

06/06/2009 12:58 am - cecil
We do have a package for the plextor it is, plextor-convertX-driver.  Can you please try it?  If it works, I'll go the extra step and patch MythTV for 
MPEG2.

06/06/2009 05:20 pm - goofee
I did a fresh install.

<code>$ sudo pacman -S plextor-convertX-driver
resolving dependencies...
looking for inter-conflicts...

Targets (2): fxload-2002_04_11-4  plextor-convertX-driver-0.9.8-4  

Total Download Size:    0.14 MB
Total Installed Size:   0.58 MB

Proceed with installation? [Y/n] y
:: Retrieving packages from core-testing...
 fxload-2002_04_11-4...    12.5K   32.9K/s 00:00:00 [#####################] 100%
 plextor-convertX-dr...   127.2K  137.9K/s 00:00:01 [#####################] 100%
checking package integrity...
(2/2) checking for file conflicts                   [#####################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
plextor-convertX-driver: /usr/sbin exists in filesystem
Errors occurred, no packages were upgraded.</code>

I opened up the tarball and found that 'usr/sbin/go7007_firmware_load' was actually saved as 'usr/sbin' causing the package not to install.  I fixed that 
and manually extracted the archive to the proper directories.  I still had to edit fstab to mount usbfs in order for fxload to work.  

I still have errors in dmesg.

<code>go7007: module is from the staging directory, the quality is unknown, you have been warned.
go7007_usb: module is from the staging directory, the quality is unknown, you have been warned.
go7007-usb: probing new GO7007 USB board
go7007 1-8:1.0: firmware: requesting go7007fw.bin
go7007: registering new Plextor PX-M402U
go7007: probing for module wis-saa7115 failed<6>usbcore: registered new interface driver go7007
go7007: unsupported ioctl -2143521279</code>

The device shows up in mythtv-setup, but live tv is black for about 30 seconds and then back to main menu.

06/06/2009 05:34 pm - cecil
sudo pacman -Sf plextor-convertX-driver as you compiled from source.  Please investigate the logs for the black screen issue.

06/06/2009 08:58 pm - goofee
-6 installed perfectly on a fresh install. Connect device<code>ERROR: Make sure usbfs|usbdevfs is mounted on /proc/bus/usb</code>
Add line to fstab. Reconnect device.  Recordings/livetv work fine.

03/26/2010 02:56 pm - mihanson
- Assignee changed from cecil to mihanson

- Target version set to 6.03.00

- Category set to Packages: Core

- Status changed from New to In Progress

03/26/2010 02:58 pm - mihanson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"958fa9a20f45a187e01a63544be5594ee389cffe".
